org.richfaces.component

## Class UIPickList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectMany
          - - org.richfaces.component.UIPickList

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder
  Direct Known Subclasses:
    HtmlPickList

      public abstract class UIPickList
      extends javax.faces.component.UISelectMany

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UISelectMany

      `COMPONENT_FAMILY, COMPONENT_TYPE, INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIPickList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBaseClientId(javax.faces.context.FacesContext faces)` Get base clientId of this component ( without iteration part )
    `abstract java.lang.String` | `getControlClass()`
    `javax.faces.convert.Converter` | `getConverter()`
    `javax.faces.convert.Converter` | `getConverterForValue(javax.faces.context.FacesContext context)`
    `abstract java.lang.String` | `getListClass()`
    `abstract java.lang.String` | `getMoveControlsVerticalAlign()`
    `abstract int` | `getSize()`
    `abstract boolean` | `isCopyAllVisible()`
    `abstract boolean` | `isCopyVisible()`
    `abstract boolean` | `isDisabled()`
    `abstract boolean` | `isFastMoveControlsVisible()`
    `abstract boolean` | `isMoveControlsVisible()`
    `abstract boolean` | `isRemoveAllVisible()`
    `abstract boolean` | `isRemoveVisible()`
    `abstract void` | `setControlClass(java.lang.String controlClass)`
    `abstract void` | `setCopyAllVisible(boolean visible)`
    `abstract void` | `setCopyVisible(boolean visible)`
    `abstract void` | `setDisabled(boolean disabled)`
    `abstract void` | `setFastMoveControlsVisible(boolean visible)`
    `abstract void` | `setListClass(java.lang.String listClass)`
    `abstract void` | `setMoveControlsVerticalAlign(java.lang.String moveControlsVerticalAlign)`
    `abstract void` | `setMoveControlsVisible(boolean visible)`
    `abstract void` | `setRemoveAllVisible(boolean visible)`
    `abstract void` | `setRemoveVisible(boolean visible)`
    `abstract void` | `setSize(int size)`

    - ### Methods inherited from class javax.faces.component.UISelectMany

      `compareValues, getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression, validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getLocalValue, getValue, setConverter`

- - ### Constructor Detail

    - #### UIPickList

          public UIPickList()

  - ### Method Detail

    - #### getBaseClientId

          public java.lang.String getBaseClientId(javax.faces.context.FacesContext faces)

      Get base clientId of this component ( without iteration part )
      Parameters:
        `faces` -
      Returns:

    - #### getConverter

          public javax.faces.convert.Converter getConverter()

      Specified by:
        `getConverter` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `getConverter` in class `javax.faces.component.UIOutput`

    - #### getConverterForValue

          public javax.faces.convert.Converter getConverterForValue(javax.faces.context.FacesContext context)

    - #### getControlClass

          public abstract java.lang.String getControlClass()

    - #### setControlClass

          public abstract void setControlClass(java.lang.String controlClass)

    - #### getListClass

          public abstract java.lang.String getListClass()

    - #### setListClass

          public abstract void setListClass(java.lang.String listClass)

    - #### getMoveControlsVerticalAlign

          public abstract java.lang.String getMoveControlsVerticalAlign()

    - #### setMoveControlsVerticalAlign

          public abstract void setMoveControlsVerticalAlign(java.lang.String moveControlsVerticalAlign)

    - #### getSize

          public abstract int getSize()

    - #### setSize

          public abstract void setSize(int size)

    - #### isDisabled

          public abstract boolean isDisabled()

    - #### setDisabled

          public abstract void setDisabled(boolean disabled)

    - #### isMoveControlsVisible

          public abstract boolean isMoveControlsVisible()

    - #### setMoveControlsVisible

          public abstract void setMoveControlsVisible(boolean visible)

    - #### isFastMoveControlsVisible

          public abstract boolean isFastMoveControlsVisible()

    - #### setFastMoveControlsVisible

          public abstract void setFastMoveControlsVisible(boolean visible)

    - #### isCopyAllVisible

          public abstract boolean isCopyAllVisible()

    - #### setCopyAllVisible

          public abstract void setCopyAllVisible(boolean visible)

    - #### isCopyVisible

          public abstract boolean isCopyVisible()

    - #### setCopyVisible

          public abstract void setCopyVisible(boolean visible)

    - #### isRemoveVisible

          public abstract boolean isRemoveVisible()

    - #### setRemoveVisible

          public abstract void setRemoveVisible(boolean visible)

    - #### isRemoveAllVisible

          public abstract boolean isRemoveAllVisible()

    - #### setRemoveAllVisible

          public abstract void setRemoveAllVisible(boolean visible)

Copyright © 2014. All Rights Reserved.